package lt.ktu.gmj.tasks;

public class QuantityPriceElement
{
	public QuantityPriceElement() { P1 = 0.0; Y1 = 0.0; X21 = 0.0; P2 = 0.0; Y2 = 0.0; X12 = 0.0; }
	public QuantityPriceElement(double P1, double Y1, double X21, double P2, double Y2, double X12, int nServed1, int nServed2, int nGone, double W1, double W2, double Profit1, double Profit2) 
	{ 
		this.P1 = P1; 
		this.Y1 = Y1; 
		this.X21 = X21; 
		
		this.P2 = P2; 
		this.Y2 = Y2; 
		this.X12 = X12;
		
		this.nServed1 = nServed1;
		this.nServed2 = nServed2;
		this.nGone = nGone;
		
		this.W1 = W1;
		this.W2 = W2;
		this.Profit1 = Profit1;
		this.Profit2 = Profit2;
	} 
	private double P1;
	private double Y1;
	private double X21; // how much 1st server buys from 2nd
	
	private double P2;
	private double Y2;
	private double X12; // how much 2nd server buys from 1st
	
	private int nServed1;
	private int nServed2;
	private int nGone;
	
	private double W1;
	private double W2;
	
	private double Profit1;
	private double Profit2;
	
	public double getP1() { return P1; }
	public double getY1() { return Y1; }
	public double getX21() { return X21; }
	
	public double getP2() { return P2; }
	public double getY2() { return Y2; }
	public double getX12() { return X12; }
	
	public int getServed1() { return nServed1; }
	public int getServed2() { return nServed2; }
	public int getGone() { return nGone; }
	
	public double getW1() { return W1; }
	public double getW2() { return W2; }
	public double getProfit1() { return Profit1; }
	public double getProfit2() { return Profit2; }
}
